﻿namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        Accelerometer.ShakeDetected  += accelerometer_ShakeDetected;
        this.startButton.Clicked     += startButton_Clicked;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 가속도계 흔들기 탐지시 처리하기 - accelerometer_ShakeDetected(sender, e)

    /// <summary>
    /// 가속도계 흔들기 탐지시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private void accelerometer_ShakeDetected(object sender, EventArgs e)
    {
        this.label.Text = $"[{DateTime.Now.ToString("HH:mm:ss")}] 휴대폰을 흔들었습니다.";
    }

    #endregion
    #region 시작 버튼 클릭시 처리하기 - startButton_Clicked(sender, e)

    /// <summary>
    /// 시작 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private void startButton_Clicked(object sender, EventArgs e)
    {
        if(Accelerometer.IsMonitoring)
        {
            Accelerometer.Stop();

            this.startButton.Text = "시작";

            this.label.Text = string.Empty;
        }
        else
        {
            this.startButton.Text = "중단";

            Accelerometer.Start(SensorSpeed.UI);
        }
    }

    #endregion
}